Subject: New GPL ROHC stack

From: [email-masked]
Date: Thu, 30 Jul 2009 17:05:29 +0200

Dear all,

We are proud to announce the release of an updated version of the GPL ROHC
stack.
In the frame of a project involving the french space agency (CNES), Thales
Alenia Space (TAS) and Viveris Technologies (+ some internal work from TAS
and a collaboration between TAS and Viveris), various new features have
been added to the GPL stack initially developped by Martin Juhlin
(rohc.net).
This includes mainly:
- RTP profile
- IPv6 support
- tunneling support
- new improved packet classifier
- test and statistics tool to analyze the ROHC behavior
- non regression tool
- standalone library in user space
- context reset, fixed packet sizes, (basic) list compression support
- uncompressed profile now working
- various bug corrections and code cleanup

(See attached file: Compliance.rtf)

Moreover, a new branch will bee created with several performance
enhancements (leading to a dramatic reduction of the processing time per
packet), as well as the support of constant IP-ID (§3.3 RFC 3843), that are
currently under development.

The site will be hosted by launchpad : https://launchpad.net/rohc

(In principle, the site will be available in few days, thanks to Didier
Barvaux)

Please feel free to comment or contribute to the code. Hope this will help
to develop a completely free and compliant ROHC implementation

a+
Cédric

---

From: Ang Way Chuang <[email-masked]>
Date: Fri, 31 Jul 2009 00:25:07 +0800

Thanks, buddy. I shall grab it once it is available.

[email-masked] wrote:
> Dear all,
> 
> We are proud to announce the release of an updated version of the GPL 
> ROHC stack.
> In the frame of a project involving the french space agency (CNES), 
> Thales Alenia Space (TAS) and Viveris Technologies (+ some internal work 
> from TAS and a collaboration between TAS and Viveris), various new 
> features have been added to the GPL stack initially developped by Martin 
> Juhlin (rohc.net).
> This includes mainly:
> - RTP profile
> - IPv6 support
> - tunneling support
> /(See attached file: Compliance.rtf)/
> 
> packet), as well as the support of constant IP-ID (§3.3 RFC 3843), that 
> are currently under development.
> 
> Please feel free to comment or contribute to the code. Hope this will 
> help to develop a completely free and compliant ROHC implementation
> 
> a+
> Cédric
> 
> 
> 
>